/**Begin C:\PDM_UPGRADE\PDM1\SRC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_PROJECT' AND KSQL_COL_NAME IN ('FTIEREDTYPE')) 
 ALTER TABLE T_SRC_PROJECT ADD (FTIEREDTYPE CHAR(1) DEFAULT '1' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_PROJECT' AND KSQL_COL_NAME IN ('FOPENSTATUS')) 
 ALTER TABLE T_SRC_PROJECT ADD (FOPENSTATUS CHAR(1) DEFAULT '1' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_PROJECT' AND KSQL_COL_NAME IN ('FISAUTOOPEN')) 
 ALTER TABLE T_SRC_PROJECT ADD (FISAUTOOPEN CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_PROJECT' AND KSQL_COL_NAME IN ('FBILLTYPEID')) 
 ALTER TABLE T_SRC_PROJECT ADD (FBILLTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_APPLY' AND KSQL_COL_NAME IN ('FTAXTYPE')) 
 ALTER TABLE T_SRC_APPLY ADD (FTAXTYPE CHAR(1) DEFAULT '1' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_APPLY' AND KSQL_COL_NAME IN ('FSUMAMOUNT')) 
 ALTER TABLE T_SRC_APPLY ADD (FSUMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_APPLY' AND KSQL_COL_NAME IN ('FSUMTAX')) 
 ALTER TABLE T_SRC_APPLY ADD (FSUMTAX DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_APPLY' AND KSQL_COL_NAME IN ('FSUMTAXAMOUNT')) 
 ALTER TABLE T_SRC_APPLY ADD (FSUMTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_APPLY' AND KSQL_COL_NAME IN ('FSUMQTY')) 
 ALTER TABLE T_SRC_APPLY ADD (FSUMQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_APPLY' AND KSQL_COL_NAME IN ('FBILLTYPEID')) 
 ALTER TABLE T_SRC_APPLY ADD (FBILLTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_APPLYENTRY' AND KSQL_COL_NAME IN ('FTAXITEMID')) 
 ALTER TABLE T_SRC_APPLYENTRY ADD (FTAXITEMID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_APPLYENTRY' AND KSQL_COL_NAME IN ('FTAXRATE')) 
 ALTER TABLE T_SRC_APPLYENTRY ADD (FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_APPLYENTRY' AND KSQL_COL_NAME IN ('FTAX')) 
 ALTER TABLE T_SRC_APPLYENTRY ADD (FTAX DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_APPLYENTRY' AND KSQL_COL_NAME IN ('FSRCBILLNO')) 
 ALTER TABLE T_SRC_APPLYENTRY ADD (FSRCBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_APPLYENTRY' AND KSQL_COL_NAME IN ('FSRCBILLID')) 
 ALTER TABLE T_SRC_APPLYENTRY ADD (FSRCBILLID VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_APPLYENTRY' AND KSQL_COL_NAME IN ('FSRCENTRYID')) 
 ALTER TABLE T_SRC_APPLYENTRY ADD (FSRCENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_APPLYENTRY' AND KSQL_COL_NAME IN ('FENTRYORGID')) 
 ALTER TABLE T_SRC_APPLYENTRY ADD (FENTRYORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_APPLYENTRY' AND KSQL_COL_NAME IN ('FAMOUNT')) 
 ALTER TABLE T_SRC_APPLYENTRY ADD (FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_APPLYENTRY' AND KSQL_COL_NAME IN ('FROWTYPEID')) 
 ALTER TABLE T_SRC_APPLYENTRY ADD (FROWTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_DEMAND' AND KSQL_COL_NAME IN ('FTAXTYPE')) 
 ALTER TABLE T_SRC_DEMAND ADD (FTAXTYPE CHAR(1) DEFAULT '1' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_DEMAND' AND KSQL_COL_NAME IN ('FSUMAMOUNT')) 
 ALTER TABLE T_SRC_DEMAND ADD (FSUMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_DEMAND' AND KSQL_COL_NAME IN ('FSUMTAX')) 
 ALTER TABLE T_SRC_DEMAND ADD (FSUMTAX DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_DEMAND' AND KSQL_COL_NAME IN ('FSUMTAXAMOUNT')) 
 ALTER TABLE T_SRC_DEMAND ADD (FSUMTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_DEMAND' AND KSQL_COL_NAME IN ('FSUMQTY')) 
 ALTER TABLE T_SRC_DEMAND ADD (FSUMQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_DEMAND' AND KSQL_COL_NAME IN ('FBILLTYPEID')) 
 ALTER TABLE T_SRC_DEMAND ADD (FBILLTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_PURLISTENTRY' AND KSQL_COL_NAME IN ('FQTYFROM')) 
 ALTER TABLE T_SRC_PURLISTENTRY ADD (FQTYFROM DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_PURLISTENTRY' AND KSQL_COL_NAME IN ('FQTYTO')) 
 ALTER TABLE T_SRC_PURLISTENTRY ADD (FQTYTO DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_PROJECTPACKAGE' AND KSQL_COL_NAME IN ('FPACKDOCAMOUNT')) 
 ALTER TABLE T_SRC_PROJECTPACKAGE ADD (FPACKDOCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_NOTYEARINFO' AND KSQL_COL_NAME IN ('FTAXITEMID')) 
 ALTER TABLE T_SRC_NOTYEARINFO ADD (FTAXITEMID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_NOTYEARINFO' AND KSQL_COL_NAME IN ('FTAXRATE')) 
 ALTER TABLE T_SRC_NOTYEARINFO ADD (FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_NOTYEARINFO' AND KSQL_COL_NAME IN ('FTAX')) 
 ALTER TABLE T_SRC_NOTYEARINFO ADD (FTAX DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_NOTYEARINFO' AND KSQL_COL_NAME IN ('FSRCBILLNO')) 
 ALTER TABLE T_SRC_NOTYEARINFO ADD (FSRCBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_NOTYEARINFO' AND KSQL_COL_NAME IN ('FSRCBILLID')) 
 ALTER TABLE T_SRC_NOTYEARINFO ADD (FSRCBILLID VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_NOTYEARINFO' AND KSQL_COL_NAME IN ('FSRCENTRYID')) 
 ALTER TABLE T_SRC_NOTYEARINFO ADD (FSRCENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_NOTYEARINFO' AND KSQL_COL_NAME IN ('FORGID')) 
 ALTER TABLE T_SRC_NOTYEARINFO ADD (FORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_NOTYEARINFO' AND KSQL_COL_NAME IN ('FROWTYPEID')) 
 ALTER TABLE T_SRC_NOTYEARINFO ADD (FROWTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_PROJECT_J' AND KSQL_COL_NAME IN ('FDOCAMOUNT')) 
 ALTER TABLE T_SRC_PROJECT_J ADD (FDOCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_DEMANDCHGENTRY' AND KSQL_COL_NAME IN ('FTAXAMOUNT')) 
 ALTER TABLE T_SRC_DEMANDCHGENTRY ADD (FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_DEMANDCHGENTRY' AND KSQL_COL_NAME IN ('FTAXAMOUNT1')) 
 ALTER TABLE T_SRC_DEMANDCHGENTRY ADD (FTAXAMOUNT1 DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_PURLISTENTRY_F' AND KSQL_COL_NAME IN ('FREQSOURCE')) 
 ALTER TABLE T_SRC_PURLISTENTRY_F ADD (FREQSOURCE CHAR(1) DEFAULT '3' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_PURLISTENTRY_F' AND KSQL_COL_NAME IN ('FSRCBILLNO')) 
 ALTER TABLE T_SRC_PURLISTENTRY_F ADD (FSRCBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_CONTRACTENTRY' AND KSQL_COL_NAME IN ('FQTYFROM')) 
 ALTER TABLE T_SRC_CONTRACTENTRY ADD (FQTYFROM DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_CONTRACTENTRY' AND KSQL_COL_NAME IN ('FQTYTO')) 
 ALTER TABLE T_SRC_CONTRACTENTRY ADD (FQTYTO DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_CONTRACTENTRY' AND KSQL_COL_NAME IN ('FREQSOURCE')) 
 ALTER TABLE T_SRC_CONTRACTENTRY ADD (FREQSOURCE CHAR(1) DEFAULT '3' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_CONTRACTENTRY' AND KSQL_COL_NAME IN ('FSRCBILLNO')) 
 ALTER TABLE T_SRC_CONTRACTENTRY ADD (FSRCBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_CONTRACTENTRY' AND KSQL_COL_NAME IN ('FSRCENTRYID')) 
 ALTER TABLE T_SRC_CONTRACTENTRY ADD (FSRCENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_CONTRACTENTRY' AND KSQL_COL_NAME IN ('FORDERQTY')) 
 ALTER TABLE T_SRC_CONTRACTENTRY ADD (FORDERQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_CONTRACTENTRY' AND KSQL_COL_NAME IN ('FPRICELISTNO')) 
 ALTER TABLE T_SRC_CONTRACTENTRY ADD (FPRICELISTNO VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_CONTRACTENTRY' AND KSQL_COL_NAME IN ('FPRICELISTID')) 
 ALTER TABLE T_SRC_CONTRACTENTRY ADD (FPRICELISTID VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_CONTRACTENTRY' AND KSQL_COL_NAME IN ('FSOURCELISTNO')) 
 ALTER TABLE T_SRC_CONTRACTENTRY ADD (FSOURCELISTNO VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_CONTRACTENTRY' AND KSQL_COL_NAME IN ('FSOURCELISTID')) 
 ALTER TABLE T_SRC_CONTRACTENTRY ADD (FSOURCELISTID VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_CONTRACTENTRY' AND KSQL_COL_NAME IN ('FORDERAMT')) 
 ALTER TABLE T_SRC_CONTRACTENTRY ADD (FORDERAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_CONTRACTENTRY' AND KSQL_COL_NAME IN ('FORDERTAXAMT')) 
 ALTER TABLE T_SRC_CONTRACTENTRY ADD (FORDERTAXAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SRC_PURLISTENTRYSUB') 
 CREATE TABLE T_SRC_PURLISTENTRYSUB (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTIEREDQTYFROM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTIEREDQTYTO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTIEREDPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTIEREDTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTIEREDNOTE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTIEREDCURRID BIGINT DEFAULT 0 NOT NULL,
FTIEREDUNITID BIGINT DEFAULT 0 NOT NULL,
FTIEREDPROJECTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SRC_CONTRACTENTRYSUB') 
 CREATE TABLE T_SRC_CONTRACTENTRYSUB (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTIEREDQTYFROM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTIEREDQTYTO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTIEREDPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTIEREDTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTIEREDNOTE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTIEREDCURRID BIGINT DEFAULT 0 NOT NULL,
FTIEREDUNITID BIGINT DEFAULT 0 NOT NULL,
FTIEREDPROJECTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SRC_MATERIALCHG') 
 CREATE TABLE T_SRC_MATERIALCHG (
FID BIGINT DEFAULT 0 NOT NULL,
FPARENTID VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTITYKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FPENTITYKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SRC_MATERIALCHGENTRY') 
 CREATE TABLE T_SRC_MATERIALCHGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALNANE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMATERIALMODEL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISCHANGED CHAR(1) DEFAULT '0' NOT NULL,
FSRCENTRYID BIGINT DEFAULT 0 NOT NULL
);



/**End C:\PDM_UPGRADE\PDM1\SRC_table.sql **/
